--- /dev/null
+#!/bin/sh
+
+# these are collected using ${ADDITIONAL_BUILDRESULTS[@]} in .pbuilderrc
+
+if echo "${BUILD_TRIGGERS}" | grep -q 'no-test'; then
+ echo "###"
+ echo "### Found build trigger 'no-test' so no reports.tgz will be created."
+ echo "###"
+else
+ echo "###"
+ echo "### Find report files and copy reports.tgz out of chroot."
+ echo "###"
+
+ cd /tmp/buildd/
+ find . -name surefire-reports -o -name failsafe-reports -o -name unittest.log -o -name tests-0.log -o -name build.log | xargs tar czvf ./reports.tgz || true
+ mkdir -p jenkins || true
+ # for testing, tvdk
+ #cp reports.tgz jenkins/ || true
+ mv reports.tgz jenkins/ || true
+ # use uid here instead of username as we might operate inside chroots
+ chown -R 106 jenkins
+ #ls -l reports.tgz jenkins/reports.tgz || echo "no reports.tgz found"
+ #ls -l jenkins/reports.tgz || echo "no reports.tgz found"
+fi
+++ /dev/null
-#!/bin/sh
-
-
-# these are collected using ${ADDITIONAL_BUILDRESULTS[@]} in .pbuilderrc
-
-cd /tmp/buildd/
-find . -name surefire-reports -o -name failsafe-reports -o -name unittest.log -o -name tests-0.log -o -name build.log | xargs tar czvf ./reports.tgz || true
-mkdir -p jenkins ; mv reports.tgz jenkins/ || true
-# use uid here instead of username as we might operate inside chroots
-chown -R 106 jenkins
--- /dev/null
+#!/bin/sh
+
+# these are collected using ${ADDITIONAL_BUILDRESULTS[@]} in .pbuilderrc
+
+if echo "${BUILD_TRIGGERS}" | grep -q 'no-test'; then
+ echo "###"
+ echo "### Found build trigger 'no-test' so no reports.tgz will be created."
+ echo "###"
+else
+ echo "###"
+ echo "### Find report files and copy reports.tgz out of chroot."
+ echo "###"
+
+ cd /tmp/buildd/
+ find . -name surefire-reports -o -name failsafe-reports -o -name unittest.log -o -name tests-0.log -o -name build.log | xargs tar czvf ./reports.tgz || true
+ mkdir -p jenkins || true
+ # for testing, tvdk
+ #cp reports.tgz jenkins/ || true
+ mv reports.tgz jenkins/ || true
+ # use uid here instead of username as we might operate inside chroots
+ chown -R 106 jenkins
+ #ls -l reports.tgz jenkins/reports.tgz || echo "no reports.tgz found"
+ #ls -l jenkins/reports.tgz || echo "no reports.tgz found"
+fi
BINDMOUNTS="/dev"
if [ "$DIST" == "wheezy" ] ; then
- EXTRAPACKAGES="lintian vim python python-git kernel-package cpio devscripts fakeroot module-assistant debhelper html2text dctrl-tools python-support python-sqlalchemy-ext less dpatch maven2 pbzip2 rsync cdbs quilt git-core wget toilet figlet openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre-lib openssh-client build-essential subversion qemu-kvm cppcheck sloccount debootstrap ldap-utils python-apt python-debian python-argparse"
+ #EXTRAPACKAGES="lintian vim python python-git kernel-package cpio devscripts fakeroot module-assistant debhelper html2text dctrl-tools python-support python-sqlalchemy-ext less dpatch maven2 pbzip2 rsync cdbs quilt git-core wget toilet figlet openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre-lib openssh-client build-essential subversion qemu-kvm cppcheck sloccount debootstrap ldap-utils python-apt python-debian python-argparse"
+ EXTRAPACKAGES="lintian vim python python-git kernel-package cpio devscripts fakeroot module-assistant debhelper html2text dctrl-tools python-support python-sqlalchemy-ext less dpatch maven2 pbzip2 rsync cdbs quilt git-core wget toilet figlet openjdk-6-jdk openjdk-6-jre-headless openjdk-6-jre-lib openssh-client build-essential subversion cppcheck sloccount debootstrap ldap-utils python-apt python-debian python-argparse"
BASETGZ="/var/cache/pbuilder/$NAME-$PB_SUITE-base.tgz"
BASEPATH="/var/cache/pbuilder/$NAME-$PB_SUITE-base.cow"